All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH v2] btrfs-progs: misc-tests: Superblock corruption and recovery using backup.
@ 2017-02-15 20:50 Lakshmipathi.G
       [not found] ` <f0b8ba50-4135-4bca-e5c4-0ff99d598e21@cn.fujitsu.com>
  0 siblings, 1 reply; 3+ messages in thread
From: Lakshmipathi.G @ 2017-02-15 20:50 UTC (permalink / raw)
  To: quwenruo, linux-btrfs

Signed-off-by: Lakshmipathi.G <Lakshmipathi.G@giis.co.in>
---
 .../019-fix-superblock-corruption/test.sh          | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100755 tests/misc-tests/019-fix-superblock-corruption/test.sh

diff --git a/tests/misc-tests/019-fix-superblock-corruption/test.sh b/tests/misc-tests/019-fix-superblock-corruption/test.sh
new file mode 100755
index 0000000..55159dc
--- /dev/null
+++ b/tests/misc-tests/019-fix-superblock-corruption/test.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Corrupt primary superblock and restore it using backup superblock.
+#
+
+source $TOP/tests/common
+
+check_prereq btrfs-select-super
+check_prereq btrfs
+
+setup_root_helper
+prepare_test_dev 512M
+
+FIRST_SUPERBLOCK_OFFSET=65536
+
+test_superblock_restore()
+{
+	run_check $SUDO_HELPER $TOP/mkfs.btrfs -f $TEST_DEV
+
+	# Corrupt superblock checksum
+        dd if=/dev/zero of=$TEST_DEV seek=$FIRST_SUPERBLOCK_OFFSET bs=1 \
+        count=4  conv=notrunc &> /dev/null
+	
+	# Run btrfs check to detect corruption
+	$TOP/btrfs check $TEST_DEV >& /dev/null && \
+		_fail "btrfs check should detect corruption"
+
+	# Copy backup superblock to primary
+	run_check $TOP/btrfs-select-super -s 1 $TEST_DEV
+	
+	echo "Performing btrfs check" &>> $RESULTS
+	$TOP/btrfs check $TEST_DEV &>> $RESULTS
+        if [ $? -ne 0 ]; then
+		_fail "Failed to fix superblock."
+        fi 
+}
+
+test_superblock_restore
-- 
2.7.4


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH v2] btrfs-progs: misc-tests: Superblock corruption and recovery using backup.
       [not found] ` <f0b8ba50-4135-4bca-e5c4-0ff99d598e21@cn.fujitsu.com>
@ 2017-02-16 22:33   ` Lakshmipathi.G
  2017-03-13 17:17     ` David Sterba
  0 siblings, 1 reply; 3+ messages in thread
From: Lakshmipathi.G @ 2017-02-16 22:33 UTC (permalink / raw)
  To: Qu Wenruo; +Cc: linux-btrfs

On Thu, Feb 16, 2017 at 09:05:02AM +0800, Qu Wenruo wrote:
> 
> 
> At 02/16/2017 04:50 AM, Lakshmipathi.G wrote:
> >Signed-off-by: Lakshmipathi.G <Lakshmipathi.G@giis.co.in>
> 
> Looks good to me.
> 
> Reviewed by: Qu Wenruo <quwenruo@cn.fujitsu.com>
> 
> BTW, it would be better to have some commit message.

ok, sent the v3 patch with commit message.

Cheers.
Lakshmipathi.G

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH v2] btrfs-progs: misc-tests: Superblock corruption and recovery using backup.
  2017-02-16 22:33   ` Lakshmipathi.G
@ 2017-03-13 17:17     ` David Sterba
  0 siblings, 0 replies; 3+ messages in thread
From: David Sterba @ 2017-03-13 17:17 UTC (permalink / raw)
  To: Lakshmipathi.G; +Cc: Qu Wenruo, linux-btrfs

On Fri, Feb 17, 2017 at 04:03:41AM +0530, Lakshmipathi.G wrote:
> On Thu, Feb 16, 2017 at 09:05:02AM +0800, Qu Wenruo wrote:
> > 
> > 
> > At 02/16/2017 04:50 AM, Lakshmipathi.G wrote:
> > >Signed-off-by: Lakshmipathi.G <Lakshmipathi.G@giis.co.in>
> > 
> > Looks good to me.
> > 
> > Reviewed by: Qu Wenruo <quwenruo@cn.fujitsu.com>
> > 
> > BTW, it would be better to have some commit message.
> 
> ok, sent the v3 patch with commit message.

It's not necessary if the Subject says it all, so the changelog does not
simply repeat it.

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2017-03-13 17:18 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-02-15 20:50 [PATCH v2] btrfs-progs: misc-tests: Superblock corruption and recovery using backup Lakshmipathi.G
     [not found] ` <f0b8ba50-4135-4bca-e5c4-0ff99d598e21@cn.fujitsu.com>
2017-02-16 22:33   ` Lakshmipathi.G
2017-03-13 17:17     ` David Sterba

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.